org.eclipse.wst.jsdt.ui

## Interface ISharedImages

    public interface ISharedImages

Standard images provided by the JavaScript UI plug-in. This class offers access to the standard images in two forms:

- Use `ISharedImages.getImage(IMG_OBJS_FOO)` to access the shared standard `Image` object (caller must not dispose of image).
- Use `ISharedImages.getImageDescriptor(IMG_OBJS_FOO)` to access the standard `ImageDescriptor` object (caller is responsible for disposing of any `Image` objects it creates using this descriptor).

This interface is not intended to be implemented by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static java.lang.String` `IMG_FIELD_DEFAULT` Key to access the shared image or image descriptor for a field with default visibility.
`static java.lang.String` `IMG_FIELD_PRIVATE` Key to access the shared image or image descriptor for a private field.
`static java.lang.String` `IMG_FIELD_PROTECTED` Key to access the shared image or image descriptor for a protected field.
`static java.lang.String` `IMG_FIELD_PUBLIC` Key to access the shared image or image descriptor for a public field.
`static java.lang.String` `IMG_OBJS_ANNOTATION` Key to access the shared image or image descriptor for a annotation type.
`static java.lang.String` `IMG_OBJS_ANNOTATION_DEFAULT` Key to access the shared image or image descriptor for a annotation type with default visibility.
`static java.lang.String` `IMG_OBJS_ANNOTATION_PRIVATE` Key to access the shared image or image descriptor for a annotation type with private visibility.
`static java.lang.String` `IMG_OBJS_ANNOTATION_PROTECTED` Key to access the shared image or image descriptor for a annotation type with protected visibility.
`static java.lang.String` `IMG_OBJS_CFILE` Key to access the shared image or image descriptor for a JavaScript class file.
`static java.lang.String` `IMG_OBJS_CLASS` Key to access the shared image or image descriptor for a class.
`static java.lang.String` `IMG_OBJS_CLASS_DEFAULT` Key to access the shared image or image descriptor for a class with default visibility.
`static java.lang.String` `IMG_OBJS_CLASSPATH_VAR_ENTRY` Key to access the shared image or image descriptor for a classpath variable entry.
`static java.lang.String` `IMG_OBJS_CUNIT` Key to access the shared image or image descriptor for a JavaScript compilation unit.
`static java.lang.String` `IMG_OBJS_DEFAULT` Key to access the shared image or image descriptor for class members with default visibility.
`static java.lang.String` `IMG_OBJS_EMPTY_LOGICAL_PACKAGE` Key to access the shared image or image descriptor for an empty logical package.
`static java.lang.String` `IMG_OBJS_EMPTY_PACKAGE` Key to access the shared image or image descriptor for an empty package.
`static java.lang.String` `IMG_OBJS_ENUM` Key to access the shared image or image descriptor for a enum type.
`static java.lang.String` `IMG_OBJS_ENUM_DEFAULT` Key to access the shared image or image descriptor for a enum type with default visibility.
`static java.lang.String` `IMG_OBJS_ENUM_PRIVATE` Key to access the shared image or image descriptor for a enum type with private visibility.
`static java.lang.String` `IMG_OBJS_ENUM_PROTECTED` Key to access the shared image or image descriptor for a enum type with protected visibility.
`static java.lang.String` `IMG_OBJS_EXTERNAL_ARCHIVE` Key to access the shared image or image descriptor for external archives.
`static java.lang.String` `IMG_OBJS_EXTERNAL_ARCHIVE_WITH_SOURCE` Key to access the shared image or image descriptor for external archives with source.
`static java.lang.String` `IMG_OBJS_IMPCONT` Key to access the shared image or image descriptor for an import container.
`static java.lang.String` `IMG_OBJS_IMPDECL` Key to access the shared image or image descriptor for an import statement.
`static java.lang.String` `IMG_OBJS_INNER_CLASS_DEFAULT` Key to access the shared image or image descriptor for a inner class with default visibility.
`static java.lang.String` `IMG_OBJS_INNER_CLASS_PRIVATE` Key to access the shared image or image descriptor for a private inner class.
`static java.lang.String` `IMG_OBJS_INNER_CLASS_PROTECTED` Key to access the shared image or image descriptor for a protected inner class.
`static java.lang.String` `IMG_OBJS_INNER_CLASS_PUBLIC` Key to access the shared image or image descriptor for a public inner class.
`static java.lang.String` `IMG_OBJS_INNER_INTERFACE_DEFAULT` Key to access the shared image or image descriptor for an inner interface with default visibility.
`static java.lang.String` `IMG_OBJS_INNER_INTERFACE_PRIVATE` Key to access the shared image or image descriptor for a private inner interface.
`static java.lang.String` `IMG_OBJS_INNER_INTERFACE_PROTECTED` Key to access the shared image or image descriptor for a protected inner interface.
`static java.lang.String` `IMG_OBJS_INNER_INTERFACE_PUBLIC` Key to access the shared image or image descriptor for a public inner interface.
`static java.lang.String` `IMG_OBJS_INTERFACE` Key to access the shared image or image descriptor for an interface.
`static java.lang.String` `IMG_OBJS_INTERFACE_DEFAULT` Key to access the shared image or image descriptor for an interface with default visibility.
`static java.lang.String` `IMG_OBJS_JAR` Key to access the shared image or image descriptor for a JAR archive.
`static java.lang.String` `IMG_OBJS_JAR_WITH_SOURCE` Key to access the shared image or image descriptor for a JAR with source.
`static java.lang.String` `IMG_OBJS_JAVADOCTAG` Key to access the shared image or image descriptor for javadoc tags.
`static java.lang.String` `IMG_OBJS_LIBRARY` Key to access the shared image or image descriptor for a library (class path container).
`static java.lang.String` `IMG_OBJS_LOCAL_VARIABLE` Key to access the shared image or image descriptor for a local variable.
`static java.lang.String` `IMG_OBJS_LOGICAL_PACKAGE` Key to access the shared image or image descriptor for a logical package.
`static java.lang.String` `IMG_OBJS_PACKAGE` Key to access the shared image or image descriptor for a package.
`static java.lang.String` `IMG_OBJS_PACKDECL` Key to access the shared image or image descriptor for a package declaration.
`static java.lang.String` `IMG_OBJS_PACKFRAG_ROOT` Key to access the shared image or image descriptor for a package fragment root.
`static java.lang.String` `IMG_OBJS_PRIVATE` Key to access the shared image or image descriptor for a private member.
`static java.lang.String` `IMG_OBJS_PROTECTED` Key to access the shared image or image descriptor for a protected member.
`static java.lang.String` `IMG_OBJS_PUBLIC` Key to access the shared image or image descriptor for a public member.

### Method Summary

All Methods Instance Methods Abstract Methods
`Image` `getImage(java.lang.String key)` Returns the shared image managed under the given key.
`ImageDescriptor` `getImageDescriptor(java.lang.String key)` Returns the image descriptor managed under the given key.

### Field Detail

#### IMG_OBJS_CUNIT

    static final java.lang.String IMG_OBJS_CUNIT

Key to access the shared image or image descriptor for a JavaScript compilation unit.

See Also:
  Constant Field Values

#### IMG_OBJS_CFILE

    static final java.lang.String IMG_OBJS_CFILE

Key to access the shared image or image descriptor for a JavaScript class file.

See Also:
  Constant Field Values

#### IMG_OBJS_JAR

    static final java.lang.String IMG_OBJS_JAR

Key to access the shared image or image descriptor for a JAR archive.

See Also:
  Constant Field Values

#### IMG_OBJS_JAR_WITH_SOURCE

    static final java.lang.String IMG_OBJS_JAR_WITH_SOURCE

Key to access the shared image or image descriptor for a JAR with source.

See Also:
  Constant Field Values

#### IMG_OBJS_EXTERNAL_ARCHIVE

    static final java.lang.String IMG_OBJS_EXTERNAL_ARCHIVE

Key to access the shared image or image descriptor for external archives.

See Also:
  Constant Field Values

#### IMG_OBJS_EXTERNAL_ARCHIVE_WITH_SOURCE

    static final java.lang.String IMG_OBJS_EXTERNAL_ARCHIVE_WITH_SOURCE

Key to access the shared image or image descriptor for external archives with source.

See Also:
  Constant Field Values

#### IMG_OBJS_CLASSPATH_VAR_ENTRY

    static final java.lang.String IMG_OBJS_CLASSPATH_VAR_ENTRY

Key to access the shared image or image descriptor for a classpath variable entry.

See Also:
  Constant Field Values

#### IMG_OBJS_LIBRARY

    static final java.lang.String IMG_OBJS_LIBRARY

Key to access the shared image or image descriptor for a library (class path container).

See Also:
  Constant Field Values

#### IMG_OBJS_PACKFRAG_ROOT

    static final java.lang.String IMG_OBJS_PACKFRAG_ROOT

Key to access the shared image or image descriptor for a package fragment root.

See Also:
  Constant Field Values

#### IMG_OBJS_PACKAGE

    static final java.lang.String IMG_OBJS_PACKAGE

Key to access the shared image or image descriptor for a package.

See Also:
  Constant Field Values

#### IMG_OBJS_EMPTY_PACKAGE

    static final java.lang.String IMG_OBJS_EMPTY_PACKAGE

Key to access the shared image or image descriptor for an empty package.

See Also:
  Constant Field Values

#### IMG_OBJS_LOGICAL_PACKAGE

    static final java.lang.String IMG_OBJS_LOGICAL_PACKAGE

Key to access the shared image or image descriptor for a logical package.

See Also:
  Constant Field Values

#### IMG_OBJS_EMPTY_LOGICAL_PACKAGE

    static final java.lang.String IMG_OBJS_EMPTY_LOGICAL_PACKAGE

Key to access the shared image or image descriptor for an empty logical package.

See Also:
  Constant Field Values

#### IMG_OBJS_CLASS

    static final java.lang.String IMG_OBJS_CLASS

Key to access the shared image or image descriptor for a class.

See Also:
  Constant Field Values

#### IMG_OBJS_CLASS_DEFAULT

    static final java.lang.String IMG_OBJS_CLASS_DEFAULT

Key to access the shared image or image descriptor for a class with default visibility.

See Also:
  Constant Field Values

#### IMG_OBJS_INNER_CLASS_PUBLIC

    static final java.lang.String IMG_OBJS_INNER_CLASS_PUBLIC

Key to access the shared image or image descriptor for a public inner class.

See Also:
  Constant Field Values

#### IMG_OBJS_INNER_CLASS_DEFAULT

    static final java.lang.String IMG_OBJS_INNER_CLASS_DEFAULT

Key to access the shared image or image descriptor for a inner class with default visibility.

See Also:
  Constant Field Values

#### IMG_OBJS_INNER_CLASS_PROTECTED

    static final java.lang.String IMG_OBJS_INNER_CLASS_PROTECTED

Key to access the shared image or image descriptor for a protected inner class.

See Also:
  Constant Field Values

#### IMG_OBJS_INNER_CLASS_PRIVATE

    static final java.lang.String IMG_OBJS_INNER_CLASS_PRIVATE

Key to access the shared image or image descriptor for a private inner class.

See Also:
  Constant Field Values

#### IMG_OBJS_INTERFACE

    static final java.lang.String IMG_OBJS_INTERFACE

Key to access the shared image or image descriptor for an interface.

See Also:
  Constant Field Values

#### IMG_OBJS_INTERFACE_DEFAULT

    static final java.lang.String IMG_OBJS_INTERFACE_DEFAULT

Key to access the shared image or image descriptor for an interface with default visibility.

See Also:
  Constant Field Values

#### IMG_OBJS_INNER_INTERFACE_PUBLIC

    static final java.lang.String IMG_OBJS_INNER_INTERFACE_PUBLIC

Key to access the shared image or image descriptor for a public inner interface.

See Also:
  Constant Field Values

#### IMG_OBJS_INNER_INTERFACE_DEFAULT

    static final java.lang.String IMG_OBJS_INNER_INTERFACE_DEFAULT

Key to access the shared image or image descriptor for an inner interface with default visibility.

See Also:
  Constant Field Values

#### IMG_OBJS_INNER_INTERFACE_PROTECTED

    static final java.lang.String IMG_OBJS_INNER_INTERFACE_PROTECTED

Key to access the shared image or image descriptor for a protected inner interface.

See Also:
  Constant Field Values

#### IMG_OBJS_INNER_INTERFACE_PRIVATE

    static final java.lang.String IMG_OBJS_INNER_INTERFACE_PRIVATE

Key to access the shared image or image descriptor for a private inner interface.

See Also:
  Constant Field Values

#### IMG_OBJS_PACKDECL

    static final java.lang.String IMG_OBJS_PACKDECL

Key to access the shared image or image descriptor for a package declaration.

See Also:
  Constant Field Values

#### IMG_OBJS_IMPCONT

    static final java.lang.String IMG_OBJS_IMPCONT

Key to access the shared image or image descriptor for an import container.

See Also:
  Constant Field Values

#### IMG_OBJS_IMPDECL

    static final java.lang.String IMG_OBJS_IMPDECL

Key to access the shared image or image descriptor for an import statement.

See Also:
  Constant Field Values

#### IMG_OBJS_PUBLIC

    static final java.lang.String IMG_OBJS_PUBLIC

Key to access the shared image or image descriptor for a public member.

See Also:
  Constant Field Values

#### IMG_OBJS_PROTECTED

    static final java.lang.String IMG_OBJS_PROTECTED

Key to access the shared image or image descriptor for a protected member.

See Also:
  Constant Field Values

#### IMG_OBJS_PRIVATE

    static final java.lang.String IMG_OBJS_PRIVATE

Key to access the shared image or image descriptor for a private member.

See Also:
  Constant Field Values

#### IMG_OBJS_DEFAULT

    static final java.lang.String IMG_OBJS_DEFAULT

Key to access the shared image or image descriptor for class members with default visibility.

See Also:
  Constant Field Values

#### IMG_FIELD_PUBLIC

    static final java.lang.String IMG_FIELD_PUBLIC

Key to access the shared image or image descriptor for a public field.

See Also:
  Constant Field Values

#### IMG_FIELD_PROTECTED

    static final java.lang.String IMG_FIELD_PROTECTED

Key to access the shared image or image descriptor for a protected field.

See Also:
  Constant Field Values

#### IMG_FIELD_PRIVATE

    static final java.lang.String IMG_FIELD_PRIVATE

Key to access the shared image or image descriptor for a private field.

See Also:
  Constant Field Values

#### IMG_FIELD_DEFAULT

    static final java.lang.String IMG_FIELD_DEFAULT

Key to access the shared image or image descriptor for a field with default visibility.

See Also:
  Constant Field Values

#### IMG_OBJS_LOCAL_VARIABLE

    static final java.lang.String IMG_OBJS_LOCAL_VARIABLE

Key to access the shared image or image descriptor for a local variable.

See Also:
  Constant Field Values

#### IMG_OBJS_ENUM

    static final java.lang.String IMG_OBJS_ENUM

Key to access the shared image or image descriptor for a enum type.

See Also:
  Constant Field Values

#### IMG_OBJS_ENUM_DEFAULT

    static final java.lang.String IMG_OBJS_ENUM_DEFAULT

Key to access the shared image or image descriptor for a enum type with default visibility.

See Also:
  Constant Field Values

#### IMG_OBJS_ENUM_PROTECTED

    static final java.lang.String IMG_OBJS_ENUM_PROTECTED

Key to access the shared image or image descriptor for a enum type with protected visibility.

See Also:
  Constant Field Values

#### IMG_OBJS_ENUM_PRIVATE

    static final java.lang.String IMG_OBJS_ENUM_PRIVATE

Key to access the shared image or image descriptor for a enum type with private visibility.

See Also:
  Constant Field Values

#### IMG_OBJS_ANNOTATION

    static final java.lang.String IMG_OBJS_ANNOTATION

Key to access the shared image or image descriptor for a annotation type.

See Also:
  Constant Field Values

#### IMG_OBJS_ANNOTATION_DEFAULT

    static final java.lang.String IMG_OBJS_ANNOTATION_DEFAULT

Key to access the shared image or image descriptor for a annotation type with default visibility.

See Also:
  Constant Field Values

#### IMG_OBJS_ANNOTATION_PROTECTED

    static final java.lang.String IMG_OBJS_ANNOTATION_PROTECTED

Key to access the shared image or image descriptor for a annotation type with protected visibility.

See Also:
  Constant Field Values

#### IMG_OBJS_ANNOTATION_PRIVATE

    static final java.lang.String IMG_OBJS_ANNOTATION_PRIVATE

Key to access the shared image or image descriptor for a annotation type with private visibility.

See Also:
  Constant Field Values

#### IMG_OBJS_JAVADOCTAG

    static final java.lang.String IMG_OBJS_JAVADOCTAG

Key to access the shared image or image descriptor for javadoc tags.

See Also:
  Constant Field Values

### Method Detail

#### getImage

    Image getImage(java.lang.String key)

Returns the shared image managed under the given key.

Note that clients must not dispose the image returned by this method.

Parameters:
  `key` - the image key; one of the `IMG_OBJS_*` constants
Returns:
  the shared image managed under the given key, or `null` if none

#### getImageDescriptor

    ImageDescriptor getImageDescriptor(java.lang.String key)

Returns the image descriptor managed under the given key.

Parameters:
  `key` - the image key; one of the `IMG_OBJS_*` constants
Returns:
  the image descriptor managed under the given key, or `null` if none